# Name

junit

# Category

Test Format

# Description

The `junit` test format attempts to process test data as documented in junit format.

NOTE:

- there is no formal specification of the format so results parsing the output may be mixed.

# Environment Variables

None

# Options

Option | Notes
--- | ---
`--junit-test-output=<directory>` | Directory to search for the test output TEST-*.xml files, relative to the module directory
`--junit-test-prefix=<prefix to trim>` | Prefix to trim from test names to reduce the amount of output

# Docker Notes

None

# Developer Notes

None